import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/blade-system-expand/custommenu/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/blade-system-expand/custommenu/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/blade-system-expand/custommenu/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/blade-system-expand/custommenu/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/blade-system-expand/custommenu/submit',
    method: 'post',
    data: row
  })
}

export const getLazyList = (parentId, params) => {
  return request({
    url: '/api/blade-system-expand/custommenu/lazy-list',
    method: 'get',
    params: {
      ...params,
      parentId
    }
  })
}

export const save = (row) => {
  return request({
    url: '/api/blade-system-expand/custommenu/submit',
    method: 'post',
    data: row
  })
}


